#!/bin/bash
####################################
# Recuperation et MAJ de la conf RVP 
# d'un sphynx version 1.0 ou 1.1
# samuel morin 20/06/06
###################################

# On recupere l'ip du sphynx v1
rep=""
read -p "Adresse ip du Sphynx sur lequel il faut recuperer les donnees RVP ?" rep
IpSphynx1=$rep
echo -e

# On test si le serveur est accessible
tcpcheck 3 $IpSphynx1:22 |grep -v "failed" >/dev/null 2>&1
if [ $? != "0" ]
then
	echo "le serveur $IpSphynx1 n'est pas accessible en ssh"
	exit 1
fi
# On copie la clef rsa publique pour éviter de demander plusieurs fois le passwd
ssh-copy-id -i /root/.ssh/id_rsa.pub root@$IpSphynx1

## Recuperation des données par rsync
echo "Recuperation des données sur le Sphynx 1 "
echo "Veuillez patienter ..."
# base xml
/usr/bin/rsync -e ssh --perms --times $IpSphynx1:/usr/share/eole/sphynx-vpn/xml/sphynx.xml /usr/share/eole/sphynx-vpn/xml/
# conf generateur
/usr/bin/rsync -e ssh --perms --times $IpSphynx1:/usr/share/eole/sphynx-vpn/cfg/sphynx.cfg /usr/share/eole/sphynx-vpn/cfg/
# conf freeswan 
/usr/bin/rsync -e ssh --recursive --links --perms --times $IpSphynx1:/etc/freeswan /etc/
# conf etab
/usr/bin/rsync -e ssh --recursive --links --perms --times $IpSphynx1:/home/data /home/

## Application des modifications sur la base xml
if [ -e /usr/share/eole/sphynx-vpn/xml/sphynx.xml ]
then
	cd /usr/share/eole/sphynx-vpn/tunnel
	./update_sphynx2
	## Haute Dispo ##
	#On test si la base existe. Si c'est le cas, et que la haute dispo est activee, on lance le script d'update de la base
	if [ "$haute_dispo" != "non" ]
	then 
		./haute_dispo
	fi	
fi

# Regeneration de la config ipsec
echo "Regeneration de la config ipsec"
echo "cela peut prendre quelques minutes ..."
RepSphynx="/usr/share/eole/sphynx-vpn"
RepIpsec="/etc/freeswan"
rm -f  $RepSphynx/ipsec/*
rm -f $RepIpsec/ipsec.conf
rm -f $RepIpsec/ipsec.secret
rm -f $RepIpsec/ipsec_updown_*
$RepSphynx/sphynx -t
cp -f $RepSphynx/ipsec/ipsec.conf_Sphynx $RepIpsec/ipsec.conf
cp -f $RepSphynx/ipsec/ipsec.secrets_Sphynx $RepIpsec/ipsec.secrets
# pas d'application de règles iptables 
# cp -f $RepSphynx/ipsec/ipsec_updown_*-sphynx $RepIpsec/

## Changement rép certificat
find /etc/freeswan/ipsec.d/ -maxdepth 1 -name "*.pem" -exec mv {} /etc/freeswan/ipsec.d/certs/ \;

# retour au répertoire d'origine
popd >/dev/null 2>&1

