#!/bin/bash
##########################################
# Sauvegarde EOLE
# - Sphynx -
# LB Dijon 13/01/2006 
# bruno boiget <bruno.boiget@ac-dijon.fr>
# samuel morin <samuel.morin@ac-dijon.fr>
##########################################

# color ASCII codes
#
DEFAULT="\e[0m"
BOLD="\e[1m"
BLACK="\e[30m"
RED="\e[31m"
GREEN="\e[32m"
YELLOW="\e[33m"
BLUE="\e[34m"
VIOLET="\e[35m"
CYAN="\e[36m"
WHITE="\e[37m"


Lock="sauvegarde"
Excl="maj"

. ParseDico

day=`date +%d-%m-%Y`
backup_dir=/var/lib/sphynx_backup
tmp_backup=$backup_dir/$day

if [ ! -d $backup_dir ]
then
	mkdir $backup_dir
fi
rm -rf $tmp_backup
mkdir $tmp_backup



# sauvegarde des données du generateur xml
echo -e
echo -e "${CYAN}Sauvegarde en cours, patientez ...${DEFAULT}"

echo -e " - base xml + conf generateur" 
cp -f /usr/share/eole/sphynx-vpn/xml/sphynx.xml $tmp_backup/
cp -f /usr/share/eole/sphynx-vpn/cfg/sphynx.cfg $tmp_backup/



pushd /etc > /dev/null 2>&1

echo -e " - fichier conf"
# sauvegarde de /etc/freeswan
tar -cpf $tmp_backup/etc_freeswan.tar freeswan

echo -e " - configuration des Amon"

cd /home
tar -cpf $tmp_backup/home_data.tar data

echo -e " - clés de connexion"
# /root/.ssh
cd /root
tar -cpf $tmp_backup/root_ssh.tar .ssh

echo -e " - configuration eole"
cd /etc/eole
tar -cpf $tmp_backup/etc_eole.tar config.eol dicos patch


# création du fichier de sauvegarde compressé
echo -e "${CYAN}Compression de l'archive...${DEFAULT}"
cd $backup_dir
tar -czf $day.tar.gz $day
echo -e
echo -e "${GREEN}Archive créée : $backup_dir/$day.tar.gz${DEFAULT}"
echo -e

# suppression du répertoire temporaire
rm -rf $tmp_backup
# retour au répertoire d'origine
popd >/dev/null 2>&1
